Description:
============

Presentation
------------

GROMACS is a versatile package to perform molecular dynamics, i.e. simulate the Newtonian equations of motion for systems with hundreds to millions of particles.
It is primarily designed for biochemical molecules like proteins, lipids and nucleic acids that have a lot of complicated bonded interactions, but since GROMACS is extremely fast at calculating the nonbonded interactions (that usually dominate simulations) many groups are also using it for research on non-biological systems, e.g. polymers.

Technical information:
----------------------

* website : http://www.gromacs.org
* Scientific domain : molecular dynamics
* Language : C/C++/CUDA
* Parallelism : MPI + OpenMP + CUDA
* GPU acceleration : yes  
* Scalability : high
* Vectorization: high

MPI-Bound Code


Compilation and simulation:
===========================

Download:
---------

Sources are available at: http://manual.gromacs.org/documentation

For the test, we will use a specific release. To download this release, run:

```
./download.sh
```

Compile:
--------

Information (if needed) about how to compile the application. 

For instance:

Compile the code using:
```
source machines/occigen-bdw/env
./compile.sh
```

`machines/occigen-bdw/env` contains the information for compilation (module load gcc openmpi lapack hdf5 ...)

Run and validate the simulation:
--------------------------------

For each test case, given in a separate folder (e.g. testcase_small), you can find three scripts:

*  prepare.sh: prepare the simulation (move data to the right location, recompile some minor changes, ...)
*  run.sh : run the application and print out the evaluated metric
*  validate.sh: validation of the simulation on a scientific point of view

For running and validating the simulation, one should be able to do:
```
cd testcase_XXX
./prepare.sh
./run.sh
./validate.sh
```
And getting no error code returned.
Those steps can also be used in a batch file for running the simulation using a job scheduler.




